      SUBROUTINE HELP(ILVL)
      CHARACTER*72 INFO
	character*8 hlpfil(60),fname
      DATA NCMDS/59/
C     ***INSERT DATA STATEMENTS FOR POINTERS TO HELP2 HERE.             1989
c23456
	data hlpfil/'COMM1','COMM02','COMM03','COMM04','COMM05','COMM06',
     1'COMM07','COMM08','COMM09','COMM10','COMM11','COMM12','COMM13',
     2'COMM14','COMM15','COMM16','COMM17','COMM18','COMM19','COMM20',
     3'COMM21','COMM22','COMM23','COMM24','COMM011','COMM012',
     4'COMM041','COMM042','COMM051','COMM052','COMM061','COMM062',
     5'COMM063','COMM071','COMM091','COMM092','COMM093','COMM0101',
     6'COMM0111','COMM0121','COMM0181','COMM0191','COMM0192','COMM0193',
     7'COMM0194','COMM0201','COMM0202','COMM0203','COMM0204','COMM0205',
     8'COMM0206','COMM0207','COMM0211','COMM0212','COMM0221','COMM0222',
     9'GEN01','GEN02','GEN03','GEN04'/

      IF(ILVL.eq.7777) then

      WRITE(*,1)
1     FORMAT(' Which command would you like information about? ')
      READ(*,*,ERR=9,END=99)JCM
      IF(JCM.LE.0.AND.JCOMM.GT.NCMDS) return
	WRITE(*,*) hlpfil(JCM)
	fname=hlpfil(JCM)

	else

	fname=hlpfil(ilvl)

	endif

	OPEN(2,FILE=fname,FORM='FORMATTED',status='OLD',
     1iostat=iohelp)

	if(iohelp.ne.0) then
	write(*,5000) hlpfil(Jcm),iohelp
5000	format(' help file ',a,' is Not on Line, reason =',i6)
	return
	endif

	CALL CPAGE

4000  READ(2,2,ERR=90,end=90)INFO
      WRITE(*,*)INFO
2     FORMAT(A)
      GO TO 4000

90	close(2)
9	return
99    STOP
      END
